### Method

# Secret Item set_secret_sync

#### Declaration [src]

    gboolean
    secret_item_set_secret_sync (
      SecretItem* self,
      SecretValue* value,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Set the secret value of this item.

Each item has a single secret which might be a password or some other secret binary value.

This function may block indefinitely. Use the asynchronous version in user interface threads.

#### Parameters

`value`

  Type: `SecretValue`

  A new secret value.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether the change was successful or not.